apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: backend-ingress
  namespace: vzzpr-backend
  labels:
    app: backend
  annotations:
    # Uncomment the following if you have an ingress controller that supports these features
    # nginx.ingress.kubernetes.io/rewrite-target: /
    # nginx.ingress.kubernetes.io/ssl-redirect: "false"
    # nginx.ingress.kubernetes.io/use-regex: "true"
    # cert-manager.io/cluster-issuer: "letsencrypt-prod"  # For SSL certificates
spec:
  # Uncomment the following if you have a specific ingress class
  # ingressClassName: nginx
  rules:
    - host: vzzpr-backend.local  # Change this to your domain
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: backend
                port:
                  number: 7440
  # Uncomment the following for HTTPS (requires SSL certificate)
  # tls:
  #   - hosts:
  #       - vzzpr-backend.local
  #     secretName: backend-tls-secret
